import { Job, Metadata } from '@expo/eas-build-job';
export declare enum LocalBuildMode {
    /**
     * Local build that users can run on their own machines. Instead
     * of sending build request to EAS Servers it's passing it as an argument
     * to local-build-plugin, that will run the build locally.
     *
     * Triggered when running `eas build --local`.
     */
    LOCAL_BUILD_PLUGIN = "local-build-plugin",
    /**
     * Type of local build that is not accessible to users directly. When
     * cloud build is triggered by git based integration, we are running
     * in this mode. Instead of sending build request to EAS Servers it's
     * printing it to the stdout as JSON, so EAS Build worker can read it.
     */
    INTERNAL = "internal"
}
export interface LocalBuildOptions {
    localBuildMode?: LocalBuildMode;
    skipCleanup?: boolean;
    skipNativeBuild?: boolean;
    artifactsDir?: string;
    artifactPath?: string;
    workingdir?: string;
    verbose?: boolean;
}
export declare function runLocalBuildAsync(job: Job, metadata: Metadata, options: LocalBuildOptions): Promise<void>;
