"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ContextField_1 = tslib_1.__importDefault(require("./ContextField"));
const createGraphqlClient_1 = require("./contextUtils/createGraphqlClient");
const FeatureGateEnvOverrides_1 = tslib_1.__importDefault(require("../gating/FeatureGateEnvOverrides"));
const FeatureGating_1 = tslib_1.__importDefault(require("../gating/FeatureGating"));
class LoggedInContextField extends ContextField_1.default {
    async getValueAsync({ nonInteractive, sessionManager }) {
        const { actor, authenticationInfo } = await sessionManager.ensureLoggedInAsync({
            nonInteractive,
        });
        const featureGateServerValues = actor?.featureGates ?? {};
        const graphqlClient = (0, createGraphqlClient_1.createGraphqlClient)(authenticationInfo);
        return {
            actor,
            featureGating: new FeatureGating_1.default(featureGateServerValues, new FeatureGateEnvOverrides_1.default()),
            graphqlClient,
        };
    }
}
exports.default = LoggedInContextField;
