"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const AnalyticsManager_1 = require("../analytics/AnalyticsManager");
const EasCommand_1 = tslib_1.__importDefault(require("../commandUtils/EasCommand"));
const log_1 = tslib_1.__importDefault(require("../log"));
class AnalyticsView extends EasCommand_1.default {
    async runAsync() {
        const { STATUS: status } = (await this.parse(AnalyticsView)).args;
        if (status) {
            (0, AnalyticsManager_1.setAnalyticsEnabledAsync)(status === 'on');
            log_1.default.withTick(`${status === 'on' ? 'Enabling' : 'Disabling'} analytics.`);
        }
        else {
            const analyticsEnabled = await (0, AnalyticsManager_1.getAnalyticsEnabledAsync)();
            log_1.default.log(`Analytics are ${analyticsEnabled === false ? 'disabled' : 'enabled'} on this eas-cli installation.`);
        }
    }
}
AnalyticsView.description = 'display or change analytics settings';
AnalyticsView.args = [{ name: 'STATUS', options: ['on', 'off'] }];
exports.default = AnalyticsView;
