import { Platform } from '@expo/eas-build-job';
import { CredentialsSource } from '@expo/eas-json';
import { AppLookupParams } from './api/GraphqlClient';
import { Keystore } from './credentials';
import { CredentialsContext } from '../context';
export interface AndroidCredentials {
    keystore: Keystore;
}
interface Options {
    app: AppLookupParams;
}
export default class AndroidCredentialsProvider {
    private ctx;
    private options;
    readonly platform = Platform.ANDROID;
    constructor(ctx: CredentialsContext, options: Options);
    getCredentialsAsync(src: CredentialsSource.LOCAL | CredentialsSource.REMOTE): Promise<AndroidCredentials>;
    private getRemoteAsync;
    private toAndroidCredentials;
    private getLocalAsync;
}
export {};
