"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateDistributionCertificate = void 0;
const tslib_1 = require("tslib");
const DistributionCertificateUtils_1 = require("./DistributionCertificateUtils");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class CreateDistributionCertificate {
    constructor(account) {
        this.account = account;
    }
    async runAsync(ctx) {
        const distCert = await (0, DistributionCertificateUtils_1.provideOrGenerateDistributionCertificateAsync)(ctx);
        const result = await ctx.ios.createDistributionCertificateAsync(ctx.graphqlClient, this.account, distCert);
        log_1.default.succeed('Created distribution certificate');
        return result;
    }
}
exports.CreateDistributionCertificate = CreateDistributionCertificate;
