import { IosAppBuildCredentialsFragment } from '../../../graphql/generated';
import { CredentialsContext } from '../../context';
import { AppLookupParams } from '../api/graphql/types/AppLookupParams';
import { Target } from '../types';
/**
 * It's used when setting up credentials for internal distribution but `enterpriseProvisioning` is not set.
 *
 * TLDR: If the user authenticates with an account with Apple Developer Enterprise Program membership we ask them
 * to choose if they want to set up an adhoc or universal distribution provisioning profile. Otherwise, always
 * set up an adhoc provisioning profile.
 */
interface Options {
    app: AppLookupParams;
    target: Target;
}
export declare class SetUpInternalProvisioningProfile {
    private options;
    constructor(options: Options);
    runAsync(ctx: CredentialsContext): Promise<IosAppBuildCredentialsFragment>;
    private setupAdhocProvisioningProfileAsync;
    private setupUniversalProvisioningProfileAsync;
    private askForDistributionTypeAndSetupAsync;
}
export {};
