"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateCredentialsJson = void 0;
const tslib_1 = require("tslib");
const log_1 = tslib_1.__importDefault(require("../../../log"));
const update_1 = require("../../credentialsJson/update");
class UpdateCredentialsJson {
    constructor(app, targets, distributionType) {
        this.app = app;
        this.targets = targets;
        this.distributionType = distributionType;
    }
    async runAsync(ctx) {
        log_1.default.log('Updating iOS credentials in credentials.json');
        await (0, update_1.updateIosCredentialsAsync)(ctx, this.app, this.targets, this.distributionType);
        log_1.default.succeed('iOS part of your local credentials.json is synced with values stored on EAS servers.');
    }
}
exports.UpdateCredentialsJson = UpdateCredentialsJson;
