"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppleTeamMutation = void 0;
const tslib_1 = require("tslib");
const graphql_1 = require("graphql");
const graphql_tag_1 = tslib_1.__importDefault(require("graphql-tag"));
const client_1 = require("../../../../../graphql/client");
const Account_1 = require("../../../../../graphql/types/Account");
const AppleTeam_1 = require("../../../../../graphql/types/credentials/AppleTeam");
exports.AppleTeamMutation = {
    async createAppleTeamAsync(graphqlClient, appleTeamInput, accountId) {
        const data = await (0, client_1.withErrorHandlingAsync)(graphqlClient
            .mutation((0, graphql_tag_1.default) `
            mutation CreateAppleTeamMutation($appleTeamInput: AppleTeamInput!, $accountId: ID!) {
              appleTeam {
                createAppleTeam(appleTeamInput: $appleTeamInput, accountId: $accountId) {
                  id
                  ...AppleTeamFragment
                  account {
                    id
                    ...AccountFragment
                  }
                }
              }
            }
            ${(0, graphql_1.print)(AppleTeam_1.AppleTeamFragmentNode)}
            ${(0, graphql_1.print)(Account_1.AccountFragmentNode)}
          `, {
            appleTeamInput,
            accountId,
        })
            .toPromise());
        return data.appleTeam.createAppleTeam;
    },
};
