"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRecentBuildsForSubmissionAsync = void 0;
const generated_1 = require("../../graphql/generated");
const BuildQuery_1 = require("../../graphql/queries/BuildQuery");
async function getRecentBuildsForSubmissionAsync(graphqlClient, platform, appId, { limit = 1 } = {}) {
    return await BuildQuery_1.BuildQuery.viewBuildsOnAppAsync(graphqlClient, {
        appId,
        limit,
        offset: 0,
        filter: {
            platform,
            distribution: generated_1.DistributionType.Store,
            status: generated_1.BuildStatus.Finished,
        },
    });
}
exports.getRecentBuildsForSubmissionAsync = getRecentBuildsForSubmissionAsync;
