import { ExpoConfig } from '@expo/config';
import { ExpoGraphqlClient } from '../commandUtils/context/contextUtils/createGraphqlClient';
import { UpdateFragment } from '../graphql/generated';
import { CodeSigningInfo } from '../utils/code-signing';
export type UpdateToRepublish = {
    groupId: string;
    branchId: string;
    branchName: string;
} & UpdateFragment;
/**
 * @param updatesToPublish The update group to republish
 * @param targetBranch The branch to repubish the update group on
 */
export declare function republishAsync({ graphqlClient, app, updatesToPublish, targetBranch, updateMessage, codeSigningInfo, json, }: {
    graphqlClient: ExpoGraphqlClient;
    app: {
        exp: ExpoConfig;
        projectId: string;
    };
    updatesToPublish: UpdateToRepublish[];
    targetBranch: {
        branchName: string;
        branchId: string;
    };
    updateMessage: string;
    codeSigningInfo?: CodeSigningInfo;
    json?: boolean;
}): Promise<void>;
